Package org.opentcs.data.model

# Class Location.Layout

java.lang.Object
org.opentcs.data.model.Location.Layout

All Implemented Interfaces:
  `java.io.Serializable`

Enclosing class:
  Location

    public static class Location.Layout
    extends java.lang.Object
    implements java.io.Serializable

Contains information regarding the grahical representation of a location.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Layout()` | Creates a new instance.
  `Layout​(Couple position, Couple labelOffset, LocationRepresentation locationRepresentation, int layerId)` | Creates a new instance.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Couple` | `getLabelOffset()` | Returns the offset of the label's position to the location's position (in lu).
  `int` | `getLayerId()` | Returns the ID of the layer on which the location is to be drawn.
  `LocationRepresentation` | `getLocationRepresentation()` | Returns the location representation to use.
  `Couple` | `getPosition()` | Returns the coordinates at which the location is to be drawn (in mm).
  `Location.Layout` | `withLabelOffset​(Couple labelOffset)` | Creates a copy of this object, with the given X label offset.
  `Location.Layout` | `withLayerId​(int layerId)` | Creates a copy of this object, with the given layer ID.
  `Location.Layout` | `withLocationRepresentation​(LocationRepresentation locationRepresentation)` | Creates a copy of this object, with the given location representation.
  `Location.Layout` | `withPosition​(Couple position)` | Creates a copy of this object, with the given position.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Layout

    public Layout()
    Creates a new instance.

  - ### Layout

    public Layout​(Couple position, Couple labelOffset, LocationRepresentation locationRepresentation, int layerId)
    Creates a new instance.
    Parameters:
      `position` - The coordinates at which the location is to be drawn (in mm).
      `labelOffset` - The offset of the label's location to the point's position (in lu).
      `locationRepresentation` - The location representation to use.
      `layerId` - The ID of the layer on which the location is to be drawn.

- ## Method Details

  - ### getPosition

    public Couple getPosition()
    Returns the coordinates at which the location is to be drawn (in mm).
    Returns:
      The coordinates at which the location is to be drawn (in mm).

  - ### withPosition

    public Location.Layout withPosition​(Couple position)
    Creates a copy of this object, with the given position.
    Parameters:
      `position` - The value to be set in the copy.
    Returns:
      A copy of this object, differing in the given value.

  - ### getLabelOffset

    public Couple getLabelOffset()
    Returns the offset of the label's position to the location's position (in lu).
    Returns:
      The offset of the label's position to the location's position (in lu).

  - ### withLabelOffset

    public Location.Layout withLabelOffset​(Couple labelOffset)
    Creates a copy of this object, with the given X label offset.
    Parameters:
      `labelOffset` - The value to be set in the copy.
    Returns:
      A copy of this object, differing in the given value.

  - ### getLocationRepresentation

    public LocationRepresentation getLocationRepresentation()
    Returns the location representation to use.
    Returns:
      The location representation to use.

  - ### withLocationRepresentation

    public Location.Layout withLocationRepresentation​(LocationRepresentation locationRepresentation)
    Creates a copy of this object, with the given location representation.
    Parameters:
      `locationRepresentation` - The value to be set in the copy.
    Returns:
      A copy of this object, differing in the given value.

  - ### getLayerId

    public int getLayerId()
    Returns the ID of the layer on which the location is to be drawn.
    Returns:
      The layer ID.

  - ### withLayerId

    public Location.Layout withLayerId​(int layerId)
    Creates a copy of this object, with the given layer ID.
    Parameters:
      `layerId` - The value to be set in the copy.
    Returns:
      A copy of this object, differing in the given value.